import React from 'react';
import type { ViewStyle, TextStyle } from 'react-native';
export type MultiWordHighlighterProps = {
    /**
     * Array of words to higlight/replace/style
     */
    searchWords: SearchWordConfig[];
    /**
     * The text in which to search for words
     */
    textToHighlight: string;
    /**
     * Match case while searching for words
     */
    caseSensitive?: boolean;
    /**
     * Custom styling for the container view
     */
    viewContainerStyle?: ViewStyle;
    /**
     * Default style applied for all matched words which doesn't contain textStyle
     * If textStyle is supplied, defaultHighlightTextStyle will be ignored
     */
    defaultHighlightTextStyle?: TextStyle;
    /**
     * Style applied for all non matching text
     */
    nonMatchedStringTextStyle?: TextStyle;
    /**
     * If replace is not supplied for a word, this value will be used as default replacing value
     */
    replaceAllMatchedTextWith?: string;
};
export type SearchWordConfig = {
    /**
     *  word to search for
     */
    word: string;
    /**
     * replace matched word with this value
     */
    replace?: string;
    /**
     * style for matched text
     */
    textStyle?: TextStyle;
};
export default function MultiWordHighlighter(props: MultiWordHighlighterProps): React.JSX.Element;
//# sourceMappingURL=MultiWordHighlighter.d.ts.map